# OgreDataStream.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreSharedPtr.h"`
`#include <istream>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::DataStream
| General purpose class used for encapsulating the reading of data. More...
class | Ogre::MemoryDataStream
| Common subclass of DataStream for handling data from chunks of memory. More...
class | Ogre::FileStreamDataStream
| Common subclass of DataStream for handling data from std::basic_istream. More...
class | Ogre::FileHandleDataStream
| Common subclass of DataStream for handling data from C-style file handles. More...

## Defines

#define | OGRE_STREAM_TEMP_SIZE 128

## Typedefs

typedef SharedPtr < DataStream > | Ogre::DataStreamPtr
| Shared pointer to allow data streams to be passed around without worrying about deallocation.
typedef std::list < DataStreamPtr > | Ogre::DataStreamList
| List of DataStream items.
typedef SharedPtr < DataStreamList > | Ogre::DataStreamListPtr
| Shared pointer to list of DataStream items.
typedef SharedPtr < MemoryDataStream > | Ogre::MemoryDataStreamPtr
| Shared pointer to allow memory data streams to be passed around without worrying about deallocation.

## Define Documentation

#define OGRE_STREAM_TEMP_SIZE 128

Definition at line 65 of file OgreDataStream.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:49 2009